Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c	(revision 374)
@@ -0,0 +1,43 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2017 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+#if defined(DEVICE_TRNG)
+#include "trng_api.h"
+
+#if defined(TARGET_GR_LYCHEE) || defined(TARGET_RZA1H)
+
+extern void trng_init_esp32(void);
+extern void trng_free_esp32(void);
+extern int trng_get_bytes_esp32(uint8_t *output, size_t length, size_t *output_length);
+
+void trng_init(trng_t *obj)
+{
+    trng_init_esp32();
+}
+
+void trng_free(trng_t *obj)
+{
+    trng_free_esp32();
+}
+
+int trng_get_bytes(trng_t *obj, uint8_t *output, size_t length, size_t *output_length)
+{
+    return trng_get_bytes_esp32(output, length, output_length);
+}
+#else
+#error "There is no initialization processing."
+#endif
+#endif
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c	(revision 374)
@@ -0,0 +1,90 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2013 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#include "us_ticker_api.h"
+#include "mbed_drv_cfg.h"
+
+#define SHIFT_NUM      5  /* P0/32 */
+
+static int us_ticker_inited = 0;
+
+void us_ticker_init(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+
+    /* Power Control for Peripherals      */
+    CPGSTBCR5 &= ~(CPG_STBCR5_BIT_MSTP50); /* enable OSTM1 clock */
+
+    if (us_ticker_inited) return;
+    us_ticker_inited = 1;
+
+    // timer settings
+    OSTM1TT   = 0x01;    /* Stop the counter and clears the OSTM1TE bit.     */
+    OSTM1CTL  = 0x02;    /* Free running timer mode. Interrupt disabled when star counter  */
+
+    OSTM1TS   = 0x1;     /* Start the counter and sets the OSTM0TE bit.     */
+
+    // INTC settings
+    InterruptHandlerRegister(OSTMI1TINT_IRQn, (void (*)(uint32_t))us_ticker_irq_handler);
+    GIC_SetPriority(OSTMI1TINT_IRQn, 5);
+    GIC_SetConfiguration(OSTMI1TINT_IRQn, 3);
+}
+
+void us_ticker_free(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+
+    /* Power Control for Peripherals      */
+    CPGSTBCR5 |= (CPG_STBCR5_BIT_MSTP50); /* disable OSTM1 clock */
+}
+
+uint32_t us_ticker_read()
+{
+    return (uint32_t)(OSTM1CNT >> SHIFT_NUM);
+}
+
+void us_ticker_set_interrupt(timestamp_t timestamp)
+{
+    OSTM1CMP = (uint32_t)(timestamp << SHIFT_NUM);
+    GIC_EnableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_fire_interrupt(void)
+{
+    GIC_SetPendingIRQ(OSTMI1TINT_IRQn);
+    GIC_EnableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_disable_interrupt(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_clear_interrupt(void)
+{
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+}
+
+const ticker_info_t* us_ticker_get_info()
+{
+    static const ticker_info_t info = {
+        (uint32_t)((float)RENESAS_RZ_A1_P0_CLK / (float)(1 << SHIFT_NUM) + 0.5f),
+        (32 - SHIFT_NUM)
+    };
+    return &info;
+}
+
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h	(revision 374)
@@ -0,0 +1,48 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2016 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#ifndef MBED_MBED_RTX_H
+#define MBED_MBED_RTX_H
+
+#include <stdint.h>
+
+#if defined(TARGET_RZ_A1H) || defined(TARGET_VK_RZ_A1H) || defined(TARGET_GR_LYCHEE)
+
+#if defined(__CC_ARM)
+    extern char Image$$ARM_LIB_STACK$$Base[];
+    extern char Image$$ARM_LIB_STACK$$ZI$$Limit[];
+    extern char Image$$ARM_LIB_HEAP$$Base[];
+    #define ISR_STACK_START       ((unsigned char*)Image$$ARM_LIB_STACK$$Base)
+    #define ISR_STACK_SIZE        ((uint32_t)((uint32_t)Image$$ARM_LIB_STACK$$ZI$$Limit - (uint32_t)Image$$ARM_LIB_STACK$$Base))
+    #define INITIAL_SP            (Image$$ARM_LIB_STACK$$ZI$$Limit)
+    #define HEAP_START            ((unsigned char*)Image$$ARM_LIB_HEAP$$Base)
+    #define HEAP_SIZE             ((uint32_t)((uint32_t)ISR_STACK_START - (uint32_t)HEAP_START))
+#elif defined(__GNUC__)
+    extern uint32_t               __StackTop;
+    extern uint32_t               __StackLimit;
+    extern uint32_t               __end__;
+    #define ISR_STACK_START       ((unsigned char*)&__StackLimit)
+    #define ISR_STACK_SIZE        ((uint32_t)((uint32_t)&__StackTop - (uint32_t)&__StackLimit))
+    #define INITIAL_SP            (&__StackTop)
+    #define HEAP_START            ((unsigned char*)&__end__)
+    #define HEAP_SIZE             ((uint32_t)((uint32_t)ISR_STACK_START - (uint32_t)HEAP_START))
+#elif defined(__ICCARM__)
+    /* No region declarations needed */
+#else
+    #error "no toolchain defined"
+#endif
+#endif
+
+#endif  // MBED_MBED_RTX_H
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/Makefile	(revision 374)
@@ -191,5 +191,5 @@
 	APPL_COBJS := @(APPLOBJS)
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_CFLAGS := $(APPL_CFLAGS)
 ifdef APPLDIRS
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/sample1.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/sample1.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/sample/sample1.cfg	(revision 374)
@@ -5,4 +5,5 @@
  */
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 #include "sample1.h"
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/Makefile.target	(revision 374)
@@ -30,4 +30,7 @@
 endif
 
+CDEFS := $(CDEFS) -DUSE_ARM_FPU
+COPTS := $(COPTS) -mfloat-abi=hard
+
 #
 #  MPCoreの種類の定義
@@ -55,5 +58,5 @@
 	CDEFS := $(CDEFS) -DTOPPERS_EXECUTE_ON_ROM
 	#LDSCRIPT = $(TARGETDIR)/gr_peach_rom.ld
-	LDSCRIPT = $(SRCDIR)/mbed/targets/TARGET_RENESAS/TARGET_RZ_A1H/device/TOOLCHAIN_GCC_ARM/RZA1H.ld
+	LDSCRIPT = $(SRCDIR)/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/TARGET_RZ_A1H/device/TOOLCHAIN_GCC_ARM/RZA1H.ld
 else
 	CDEFS := $(CDEFS) -DTOPPERS_EXECUTE_ON_RAM
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/cfg_dmy.c	(revision 374)
@@ -1,5 +1,6 @@
 #include "MBRZA1H.h"
+#include <stdlib.h>
 
-IRQHandler _kernel_inh_table[Renesas_RZ_A1_IRQ_MAX+1];
+IRQHandler _kernel_inh_table[RZ_A1_IRQ_MAX+1];
 uint32_t _kernel_excpt_nest_count = 0;
 
@@ -23,4 +24,5 @@
 {
 }
+
 void _kernel_irq_handler()
 {
@@ -31,5 +33,23 @@
 }
 
-void _start()
+void __libc_init_array()
 {
 }
+
+void *memset(void *dst, int c, size_t size)
+{
+	return NULL;
+}
+
+void *memcpy(void *dst, void * src, size_t size)
+{
+	return NULL;
+}
+
+int main()
+{
+}
+
+void exit(int exitcd)
+{
+}
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeach.cdl	(revision 374)
@@ -50,10 +50,10 @@
  */
 import_C("gr_peach.h");
-import_C("rza1.h");
+import_C("device.h");
 
 /*
  *  FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドライバ
  */
-import("tSCIF.cdl");
+import("tMbedSerial.cdl");
 
 /*
@@ -73,10 +73,4 @@
 	call			sSIOPort	cSIOPort;
 	[inline] entry	siSIOCBR	eiSIOCBR;
-
-	/*
-	 *  割込み要求ライン操作のための結合
-	 */
-	call	sInterruptRequest	cRxInterruptRequest;
-	call	sInterruptRequest	cTxInterruptRequest;
 };
 
@@ -85,5 +79,4 @@
  *  ト）のセルタイプ
  */
-[active]
 composite tSIOPortGRPeach {
 	/*
@@ -97,9 +90,6 @@
 	 */
 	attr {
-		uintptr_t	baseAddress;				/* ベースアドレス */
-		INTNO		rxInterruptNumber;			/* 受信割込み番号 */
-		INTNO		txInterruptNumber;			/* 送信割込み番号 */
-		PRI			isrPriority = 1;			/* ISR優先度 */
-		PRI			interruptPriority = -4;		/* 割込み優先度 */
+		int32_t tx;								/* 送信Pin */
+		int32_t rx;								/* 受信Pin */
 		uint32_t	baudRate = 115200;			/* ボーレートの設定値 */
 	};
@@ -108,6 +98,7 @@
 	 *  SIOドライバ
 	 */
-	cell tSCIF SCIF {
-		baseAddress = composite.baseAddress;
+	cell tMbedSerial MbedSerial {
+		tx          = composite.tx;
+		rx          = composite.rx;
 		baudRate    = composite.baudRate;
 		ciSIOCBR    = SIOPortMain.eiSIOCBR;
@@ -119,35 +110,7 @@
 	cell tSIOPortGRPeachMain SIOPortMain {
 		ciSIOCBR            => composite.ciSIOCBR;
-		cSIOPort            = SCIF.eSIOPort;
-		cRxInterruptRequest = RxInterruptRequest.eInterruptRequest;
-		cTxInterruptRequest = TxInterruptRequest.eInterruptRequest;
+		cSIOPort            = MbedSerial.eSIOPort;
 	};
 	composite.eSIOPort => SIOPortMain.eSIOPort;
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR RxISRInstance {
-		interruptNumber = composite.rxInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiRxISR;
-	};
-	cell tInterruptRequest RxInterruptRequest {
-		interruptNumber   = composite.rxInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
-
-	/*
-	 *  SIOの受信割込みサービスルーチンと割込み要求ライン
-	 */
-	cell tISR TxISRInstance {
-		interruptNumber = composite.txInterruptNumber;
-		isrPriority     = composite.isrPriority;
-		ciISRBody       = SCIF.eiTxISR;
-	};
-	cell tInterruptRequest TxInterruptRequest {
-		interruptNumber   = composite.txInterruptNumber;
-		interruptPriority = composite.interruptPriority;
-	};
 };
 
@@ -157,13 +120,12 @@
  *  サンプルプログラムが使うポートが，SIOPortTarget1に固定されているた
  *  め，ポート1とポート3を入れ換えている．具体的には，SIOPortTarget1は
- *  SCIFのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
- *  SIOPortTarget3はSCIFのチャネル0につながっている．
+ *  MbedSerialのチャネル2（チャネル番号は0から始まるので，ポート3のこと）に，
+ *  SIOPortTarget3はMbedSerialのチャネル0につながっている．
  */
 [prototype]
 cell tSIOPortGRPeach SIOPortTarget1 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF2_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF2_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF2_TXI");
+	tx = C_EXP("P6_3");
+	rx = C_EXP("P6_2");
 };
 
@@ -171,7 +133,6 @@
 cell tSIOPortGRPeach SIOPortTarget2 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF1_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF1_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF1_TXI");
+	tx = C_EXP("P2_5");
+	rx = C_EXP("P2_6");
 };
 
@@ -179,7 +140,6 @@
 cell tSIOPortGRPeach SIOPortTarget3 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF0_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF0_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF0_TXI");
+	tx = C_EXP("P4_12");
+	rx = C_EXP("P4_13");
 };
 
@@ -187,7 +147,6 @@
 cell tSIOPortGRPeach SIOPortTarget4 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF3_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF3_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF3_TXI");
+	tx = C_EXP("P2_14");
+	rx = C_EXP("P2_15");
 };
 
@@ -195,7 +154,6 @@
 cell tSIOPortGRPeach SIOPortTarget5 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF4_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF4_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF4_TXI");
+	tx = C_EXP("P4_14");
+	rx = C_EXP("P4_15");
 };
 
@@ -203,7 +161,6 @@
 cell tSIOPortGRPeach SIOPortTarget6 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF5_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF5_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF5_TXI");
+	tx = C_EXP("P5_3");
+	rx = C_EXP("P5_4");
 };
 
@@ -211,7 +168,6 @@
 cell tSIOPortGRPeach SIOPortTarget7 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF6_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF6_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF6_TXI");
+	tx = C_EXP("P8_8");
+	rx = C_EXP("P8_9");
 };
 
@@ -219,6 +175,54 @@
 cell tSIOPortGRPeach SIOPortTarget8 {
 	/* 属性の設定 */
-	baseAddress       = C_EXP("SCIF7_BASE");
-	rxInterruptNumber = C_EXP("INTNO_SCIF7_RXI");
-	txInterruptNumber = C_EXP("INTNO_SCIF7_TXI");
-};
+	tx = C_EXP("P5_0");
+	rx = C_EXP("P5_1");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget9 {
+	/* 属性の設定 */
+	tx = C_EXP("P8_14");
+	rx = C_EXP("P8_15");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget10 {
+	/* 属性の設定 */
+	tx = C_EXP("P8_13");
+	rx = C_EXP("P8_11");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget11 {
+	/* 属性の設定 */
+	tx = C_EXP("P11_10");
+	rx = C_EXP("P11_11");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget12 {
+	/* 属性の設定 */
+	tx = C_EXP("P6_6");
+	rx = C_EXP("P6_7");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget13 {
+	/* 属性の設定 */
+	tx = C_EXP("P5_6");
+	rx = C_EXP("P5_7");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget14 {
+	/* 属性の設定 */
+	tx = C_EXP("P11_1");
+	rx = C_EXP("P11_2");
+};
+
+[prototype]
+cell tSIOPortGRPeach SIOPortTarget15 {
+	/* 属性の設定 */
+	tx = C_EXP("P7_4");
+	rx = C_EXP("P7_5");
+};
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/tSIOPortGRPeachMain_inline.h	(revision 374)
@@ -57,10 +57,4 @@
 	 */
 	cSIOPort_open();
-
-	/*
-	 *  SIOの割込みマスクを解除する．
-	 */
-	cRxInterruptRequest_enable();
-	cTxInterruptRequest_enable();
 }
 
@@ -77,10 +71,4 @@
 	 */
 	cSIOPort_close();
-
-	/*
-	 *  SIOの割込みをマスクする．
-	 */
-	cRxInterruptRequest_disable();
-	cTxInterruptRequest_disable();
 }
 
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/target/gr_peach_gcc/target_kernel_impl.c	(revision 374)
@@ -47,7 +47,13 @@
 #include "arm.h"
 #include "rza1.h"
-#include "scif.h"
-#include "core_pl310.h"
-#include "us_ticker_api.h"
+
+/*
+ * C++のグローバルコンストラクタ呼び出し
+ */
+void __libc_init_array()
+{
+	/* グローバルコンストラクタでOS APIを呼び出す場合は、
+	   タスクが起動してから行う */
+}
 
 /*
@@ -209,5 +215,5 @@
  *  セルタイプtPutLogGRPeach内に実装されている関数を直接呼び出す．
  */
-extern void	tPutLogGRPeach_initialize(void);
+extern void tPutLogGRPeach_initialize(void);
 
 /*
@@ -294,98 +300,2 @@
 	rza1_config_port(RZA1_PORT_P(6), led, set);
 }
-
-void us_ticker_init(void)
-{
-}
-
-uint32_t us_ticker_read()
-{
-	ER ret;
-	SYSTIM now;
-
-	ret = get_tim(&now);
-	if(ret != E_OK)
-		return 0;
-
-	return now;
-}
-
-void us_ticker_set_interrupt(timestamp_t timestamp)
-{
-	Asm("bkpt #0");
-}
-
-void us_ticker_disable_interrupt(void)
-{
-}
-
-void us_ticker_clear_interrupt(void)
-{
-}
-
-void wait(float s)
-{
-	wait_us(s * 1000000.0f);
-}
-
-void wait_ms(int ms)
-{
-	wait_us(ms * 1000);
-}
-
-void wait_us(int us)
-{
-	ER ret;
-
-	ret = dly_tsk(us);
-	if (ret == E_CTX){
-		uint32_t start = us_ticker_read();
-		while ((us_ticker_read() - start) < (uint32_t)us);
-	}
-}
-
-//#include <errno.h>
-#define ENOSYS          38
-
-__attribute__((weak))
-long SYS_poll()
-{
-	return -ENOSYS;
-}
-
-__attribute__((weak))
-long SYS_open()
-{
-	return -ENOSYS;
-}
-
-__attribute__((weak))
-void SYS_set_tid_address()
-{
-	return 0;//-ENOSYS;
-}
-
-__attribute__((weak))
-void SYS_mmap2()
-{
-	return 0;//-ENOSYS;
-}
-
-__attribute__((weak))
-void ARM_SYS_set_tls(long a)
-{
-	__asm__ __volatile__("mcr p15,0,%0,c13,c0,3" :: "r"(a));
-	return 0;
-}
-
-__attribute__((weak))
-void SYS_exit_group()
-{
-	ext_ker();
-}
-
-__attribute__((weak))
-void SYS_exit()
-{
-	ext_ker();
-}
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_for_asp3	(revision 374)
@@ -0,0 +1,106 @@
+MANIFEST_for_asp3
+
+tecsgen
+tecsgen.rb
+tecsmerge
+tecsmerge.rb
+
+tecslib/version.rb
+
+tecslib/core/C_parser.tab.rb
+tecslib/core/C_parser.y.rb
+tecslib/core/bnf.tab.rb
+tecslib/core/bnf.y.rb
+tecslib/core/componentobj.rb
+tecslib/core/ctypes.rb
+tecslib/core/expression.rb
+tecslib/core/gen_xml.rb
+tecslib/core/generate.rb
+tecslib/core/location.rb
+tecslib/core/messages.rb
+tecslib/core/optimize.rb
+tecslib/core/plugin.rb
+tecslib/core/pluginModule.rb
+tecslib/core/syntaxobj.rb
+tecslib/core/tecs_lang.rb
+tecslib/core/tecsgen.rb
+tecslib/core/tecsinfo.rb
+tecslib/core/tool_info.rb
+tecslib/core/types.rb
+tecslib/core/unjoin_plugin.rb
+tecslib/core/value.rb
+
+tecslib/messages/messages_console_en_US.rb
+tecslib/messages/messages_console_ja_JP.rb
+tecslib/messages/messages_file_en_US.rb
+tecslib/messages/messages_file_ja_JP.rb
+
+tecslib/plugin/C2TECSBridgePlugin.rb
+tecslib/plugin/CellPlugin.rb
+tecslib/plugin/CelltypePlugin.rb
+tecslib/plugin/CompositePlugin.rb
+tecslib/plugin/DomainPlugin.rb
+tecslib/plugin/Mruby2CBridgePlugin.rb
+tecslib/plugin/MrubyBridgePlugin.rb
+tecslib/plugin/MultiPlugin.rb
+tecslib/plugin/NotifierPlugin.rb
+tecslib/plugin/RPCPlugin.rb
+tecslib/plugin/SignaturePlugin.rb
+tecslib/plugin/TECS2CBridgePlugin.rb
+tecslib/plugin/ThroughPlugin.rb
+tecslib/plugin/TracePlugin.rb
+tecslib/plugin/lib/GenParamCopy.rb
+tecslib/plugin/lib/GenTransparentMarshaler.rb
+
+tecs/tecs.h
+tecs/tecs.xsd
+
+tecs/mruby/TECSPointer.h
+tecs/mruby/TECSStruct.h
+tecs/mruby/mruby.cdl
+tecs/mruby/mrubyInitializer.cdl
+tecs/mruby/mrubyPointers.cdl
+tecs/mruby/mrubyVMs.cdl
+tecs/mruby/nMruby_tBoolPointer.c
+tecs/mruby/nMruby_tCharPointer.c
+tecs/mruby/nMruby_tDouble64Pointer.c
+tecs/mruby/nMruby_tFloat32Pointer.c
+tecs/mruby/nMruby_tInt16Pointer.c
+tecs/mruby/nMruby_tInt32Pointer.c
+tecs/mruby/nMruby_tInt64Pointer.c
+tecs/mruby/nMruby_tInt8Pointer.c
+tecs/mruby/nMruby_tIntPointer.c
+tecs/mruby/nMruby_tLongPointer.c
+tecs/mruby/nMruby_tMruby.c
+tecs/mruby/nMruby_tSCharPointer.c
+tecs/mruby/nMruby_tShortPointer.c
+tecs/mruby/nMruby_tTECSInitializer.c
+tecs/mruby/nMruby_tUCharPointer.c
+tecs/mruby/nMruby_tUInt16Pointer.c
+tecs/mruby/nMruby_tUInt32Pointer.c
+tecs/mruby/nMruby_tUInt64Pointer.c
+tecs/mruby/nMruby_tUInt8Pointer.c
+tecs/mruby/nMruby_tUIntPointer.c
+tecs/mruby/nMruby_tULongPointer.c
+tecs/mruby/nMruby_tUShortPointer.c
+tecs/mruby/tMruby.cdl
+tecs/mruby/tecs_mruby.h
+
+tecs/posix/posix.cdl
+
+tecs/rpc/PPAllocator.cdl
+tecs/rpc/RPCTask.cdl
+tecs/rpc/TDR.cdl
+tecs/rpc/rpc.cdl
+tecs/rpc/rpc_string.h
+tecs/rpc/sChannel.cdl
+tecs/rpc/sRPCErrorHandler.cdl
+tecs/rpc/tDataqueueAdaptor_inline.h
+tecs/rpc/tDataqueueOWChannel.cdl
+tecs/rpc/tPPAllocator.c
+tecs/rpc/tRPCDedicatedTaskMain.c
+tecs/rpc/tTDR_inline.h
+tecs/rpc/tecs_rpc.h
+tecs/rpc/tMessageBufferCEP.cdl
+tecs/rpc/tMessageBufferCEP_inline.h
+tecs/rpc/tMessageBufferChannel.cdl
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/MANIFEST_tecsgen_body	(revision 374)
@@ -1,5 +1,12 @@
 MANIFEST_tecsgen_body
+
 Makefile
-
+tecscde
+tecscde.rb
+tecsgen
+tecsgen.rb
+tecsgen_rcov.rb
+tecsmerge
+tecsmerge.rb
 cdelib/Makefile
 cdelib/cell_plugin_dialog.rb
@@ -11,8 +18,7 @@
 cdelib/tview.rb
 cdelib/version.rb
-
 tecs/TECSInfo/TECSInfo.cdl
+tecs/TECSInfo/TECSInfoAccessor.cdl
 tecs/TECSInfo/nTECSInfo_tArrayTypeInfo.c
-tecs/TECSInfo/nTECSInfo_tAttrVarInfo.c
 tecs/TECSInfo/nTECSInfo_tBoolTypeInfo.c
 tecs/TECSInfo/nTECSInfo_tCallInfo.c
@@ -28,7 +34,9 @@
 tecs/TECSInfo/nTECSInfo_tParamInfo.c
 tecs/TECSInfo/nTECSInfo_tPtrTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tRawEntryDescriptorInfo.c
 tecs/TECSInfo/nTECSInfo_tRegionInfo.c
 tecs/TECSInfo/nTECSInfo_tSignatureInfo.c
 tecs/TECSInfo/nTECSInfo_tStructTypeInfo.c
+tecs/TECSInfo/nTECSInfo_tTECSInfoAccessor.c
 tecs/TECSInfo/nTECSInfo_tTECSInfoSub.c
 tecs/TECSInfo/nTECSInfo_tTECSInfo_inline.h
@@ -36,4 +44,5 @@
 tecs/TECSInfo/nTECSInfo_tVarDeclInfo.c
 tecs/TECSInfo/nTECSInfo_tVoidTypeInfo.c
+tecs/TECSInfo/tTECSInfoAccessor.c
 tecs/TLSFMalloc/README-TLSF.txt
 tecs/TLSFMalloc/tTLSFMalloc.cdl
@@ -61,4 +70,5 @@
 tecs/mruby/nMruby_tMruby.c
 tecs/mruby/nMruby_tMrubyCyclicTaskBody.c
+tecs/mruby/nMruby_tMrubyProc.c
 tecs/mruby/nMruby_tMrubyTaskBody.c
 tecs/mruby/nMruby_tMrubyVM.c
@@ -87,4 +97,7 @@
 tecs/rpc/tDataqueueAdaptor_inline.h
 tecs/rpc/tDataqueueOWChannel.cdl
+tecs/rpc/tMessageBufferCEP.cdl
+tecs/rpc/tMessageBufferCEP_inline.h
+tecs/rpc/tMessageBufferChannel.cdl
 tecs/rpc/tNBOTDR_inline.h
 tecs/rpc/tPPAllocator.c
@@ -105,11 +118,4 @@
 tecs/tecs.h
 tecs/tecs.xsd
-
-tecscde
-tecscde.rb
-tecsgen
-tecsgen.rb
-tecsgen_rcov
-tecsgen_rcov.rb
 tecslib/core/C_parser.tab.rb
 tecslib/core/C_parser.y.rb
@@ -132,4 +138,5 @@
 tecslib/core/tool_info.rb
 tecslib/core/types.rb
+tecslib/core/unjoin_plugin.rb
 tecslib/core/value.rb
 tecslib/messages/messages_console_en_US.rb
@@ -165,7 +172,16 @@
 tecslib/plugin/HRP2SemaphorePlugin.rb
 tecslib/plugin/HRP2TaskPlugin.rb
+tecslib/plugin/HRPHandlerPlugin.rb
+tecslib/plugin/HRPKernelObjectManager.rb
+tecslib/plugin/HRPKernelObjectPlugin.rb
+tecslib/plugin/HRPObjectPlugin.rb
+tecslib/plugin/HRPPlugin.rb
+tecslib/plugin/HRPRPCPlugin.rb
+tecslib/plugin/HRPSVCPlugin.rb
+tecslib/plugin/HRPTaskPlugin.rb
 tecslib/plugin/Mruby2CBridgePlugin.rb
 tecslib/plugin/MrubyBridgeCellPlugin.rb
 tecslib/plugin/MrubyBridgeCelltypePlugin.rb
+tecslib/plugin/MrubyBridgeCompositePlugin.rb
 tecslib/plugin/MrubyBridgePlugin.rb
 tecslib/plugin/MrubyBridgeSignaturePlugin.rb
@@ -175,4 +191,6 @@
 tecslib/plugin/OpaqueRPCPlugin.rb
 tecslib/plugin/RPCPlugin.rb
+tecslib/plugin/RepeatCellPlugin.rb
+tecslib/plugin/RepeatJoinPlugin.rb
 tecslib/plugin/SharedOpaqueRPCPlugin.rb
 tecslib/plugin/SharedRPCPlugin.rb
@@ -186,6 +204,4 @@
 tecslib/plugin/lib/GenParamCopy.rb
 tecslib/plugin/lib/GenTransparentMarshaler.rb
+tecslib/plugin/lib/MrubyBridgeCelltypePluginModule.rb
 tecslib/version.rb
-
-tecsmerge
-tecsmerge.rb
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/in_exerb.rb
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/in_exerb.rb	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/tecsgen/in_exerb.rb	(revision 374)
@@ -0,0 +1,131 @@
+# coding: utf-8
+#
+#  TECS Generator
+#      Generator for TOPPERS Embedded Component System
+#  
+#   Copyright (C) 2008-2015 by TOPPERS Project
+#--
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+#  
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+#  
+#   $Id$
+#++
+
+# exerb çã§æåã«èª­ã¿ãã¾ãããã¡ã¤ã«
+# ãã®ãã¡ã¤ã«ãã generate.rb ãèª­ã¿ãã¾ãã
+
+$IN_EXERB=true
+
+# ãã®å¤æ°ã¯ exerb çã®ã¿
+$path = ENV[ 'PATH' ]
+
+#=== cygwin ã®ãã¹ã Windows ãã¹ã«å¤æ
+# cygpath ã³ãã³ããæ¢ãã¦ãè¦ã¤ããã°å¤æãã
+# å¤æã§ããªãã£ããã¾ãã¯å¤æå¾ã®ãã¹ãè¦ã¤ãããªãå ´åãdefault ãè¿ã
+def cygpath( path, default = nil )
+  if ! $IN_EXERB then
+    return default
+  end
+  if File.exist? path then
+    return default
+  end
+
+  found = false
+  $path.split( ";" ).each{ |path2|
+    cygpath_path = "#{path2}\\cygpath.exe"
+    if File.exist?( cygpath_path )  then
+      path3 = nil
+      dbgPrint "in_exerb: cygpath: found\n"
+      IO.popen( "cygpath -m #{path}", "r"){ |io|
+        path3 = io.gets.chomp!
+      }
+      dbgPrint "in_exerb: cygpath: '#{path}' => '#{path3}'\n"
+      # File.stat( path3.to_s )
+
+      if File.exist?( path3 )
+        dbgPrint "in_exerb: cygpath: '#{path3}' found\n"
+        return path3
+      else
+        break
+      end
+    end
+  }
+  dbgPrint "cygpath '#{path}' not found\n"
+  return default
+end
+
+# gcc ã®ãã¹ãè¨­å®ãã
+#  cygwin ã®ãããã¼ã¸ã§ã³ã§ã¯ gcc ã¯ gcc-3.exe ã¾ãã¯ gcc-4.exe ã¸ã®ã·ã³ããªãã¯ãªã³ã¯ã¨ãªã£ã¦ãã
+#  exerb çã§ã¯ã·ã³ããªãã¯ãªã³ã¯ãè¾¿ããªããã gcc ã® exe ãæ¢ã
+#  cygwin ã®ãªã³ã¯ã¯ãã·ã¹ãã å±æ§ãä»ããããã³ãã³ããã­ã³ããä¸ã§ã¯ dir /A:S ãæå®ããªãã¨è¡¨ç¤ºãããªã
+#  (cygwin ã®ãã¼ã¸ã§ã³ã§å®è£
+ãç°ãªããããããªã)
+#  ãã¡ã¤ã«ã®å
+é ­2ãã¤ããèª­åºã PE ãã©ã¼ãããã®ãã¸ãã¯ã«ä¸è´ãããèª¿ã¹ã
+$gcc = "gcc"
+$path.split( ";" ).each{ |path|
+  found = false
+  [ "gcc.exe", "gcc-3.exe", "gcc-4.exe" ].each{ |gcc|
+    gcc_path = "#{path}\\#{gcc}"
+    if File.exist?( gcc_path )  then
+      begin
+        magic = File.read( gcc_path, 2 )
+        if magic == "MZ"                  # ãã¸ãã¯ããã§ãã¯
+          $gcc = gcc
+          found = true
+          break
+        end
+      rescue
+        # magic ã®èª­åºãã«å¤±æãç¡è¦
+      end
+    end
+  }
+  break if found
+}
+
+# cpp ã³ãã³ããè¨­å®ãã
+$cpp = "#{$gcc} -E -D TECSGEN"
+
+# exerb ç TECS ã¸ã§ãã¬ã¼ã¿ã®å®è¡ãéå§
+require "tecsgen.rb"
